Can't access http://local:3000/projectName/


#1

Hey, I’m new to RoR and have been having trouble viewing/testing my
project.
I’m working on Windows Vista.

After running the: “ruby script/server” command and navigating through
Firefox to http://local:3000/projectName/ the cmd-prompt spits out a
big error message.

Here’s a snippet of the error (If you need the whole thing, tell me.):

=> Booting WEBrick
=> Rails 2.3.2 application starting on http://0.0.0.0:3000
=> Call with -d to detach
=> Ctrl-C to shutdown server
/!\ FAILSAFE /!\ Sat May 16 17:27:15 -0700 2009
Status: 500 Internal Server Error
no such file to load – sqlite3
C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
gem_original_require' C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:inrequire’
C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/
active_support/dependencies.rb:156:in require' C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/ active_support/dependencies.rb:521:innew_constants_in’
C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/
active_support/dependencies.rb:156:in require' C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/ active_support/core_ext/kernel/requires.rb:7:inrequire_library_or_gem’
C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/
active_support/core_ext/kernel/reporting.rb:11:in silence_warnings' C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/ active_support/core_ext/kernel/requires.rb:5:inrequire_library_or_gem’
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.2/lib/
active_record/connection_adapters/sqlite3_adapter.rb:10:in
sqlite3_connection' C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.2/lib/ active_record/connection_adapters/abstract/connection_pool.rb:223:insend’
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.2/lib/
active_record/connection_adapters/abstract/connection_pool.rb:223:in
new_connection' C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.2/lib/ active_record/connection_adapters/abstract/connection_pool.rb:245:incheckout_new_connection’
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.2/lib/
active_record/connection_adapters/abstract/connection_pool.rb:188:in
checkout' C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.2/lib/ active_record/connection_adapters/abstract/connection_pool.rb:184:inloop’
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.2/lib/
active_record/connection_adapters/abstract/connection_pool.rb:184:in
checkout' C:/Ruby/lib/ruby/1.8/monitor.rb:242:insynchronize’
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.2/lib/
active_record/connection_adapters/abstract/connection_pool.rb:183:in
`checkout’

Any help would be really appreciated! ~Redpanda


#2

On May 17, 4:31 am, Redpanda removed_email_address@domain.invalid wrote:

Hey, I’m new to RoR and have been having trouble viewing/testing my
project.
I’m working on Windows Vista.

By default rails uses sqlite3 for its database layer. You need both
sqlite3 itself and the sqlite3-ruby gem (ruby bindings for sqlite).
Last time I checked you had to ask gem for version 1.2.3 of the
sqlite3-ruby gem (later versions don’t have a prebuilt windows
version)

Fred


#3

Also, assuming you have run ruby script/server from the projectName
directory then the url will be http://localhost:3000/ the projectname is
not
required. At least I do not need it.

Colin

2009/5/17 Frederick C. removed_email_address@domain.invalid


#4

Thanks for the help.I figured that out the day after I posted this and
forgot to update my post.
But this should be good for anyone else having the same issue.

~Redpanda

On May 17, 5:50 am, Frederick C. removed_email_address@domain.invalid